<?php
/*
 * This is the generic moblog handler file for all carriers that let you send
 * a plain email with a single image attachment.
 */
function moblog_carrier_generic($stream, $msg_number) {
  return moblog_extract_mime_attachments($stream, $msg_number);
}

/*
 * Sets the default regular expression that indicates that this message comes
 * from this carrier.
 */
function moblog_carrier_generic_regexp() {
  if(false === variable_get('moblog_handler_regex_generic', false)) {
    variable_set('moblog_handler_regex_generic', '/.*/');
  }
  return variable_get('moblog_handler_regex_generic', '');
}

function moblog_carrier_desc_generic() {
  return t('For supporting posting via email in general.  Works with any mobile phone that sends an image as an attachment.');
}
?>
